#extension GL_OES_EGL_image_external : require

//necessary
precision mediump float;
uniform samplerExternalOES inputImageTexture;

varying vec2 textureCoordinate;
varying vec2 v_TexCoordinate;

uniform float offsetR;
uniform float offsetG;
uniform float offsetB;

void main ()
{
    vec4 cameraColor = texture2D(inputImageTexture, textureCoordinate);
    gl_FragColor = cameraColor * vec4(offsetR, offsetG, offsetB, 1.);
}