//position
attribute vec4 position;

//camera transform and texture
uniform mat4 camTextureTransform;
uniform mat4 uPMatrix;

attribute vec4 camTexCoordinate;

//tex coords
varying vec2 textureCoordinate;

void main()
{
    //camera texcoord needs to be manipulated by the transform given back from the system
    textureCoordinate = (camTextureTransform * camTexCoordinate).xy;
    gl_Position =  uPMatrix * position;
}